PCF8754IO(4) | Device Drivers Manual | PCF8754IO(4)

# NAME

`pcf8574io` — Philips Semiconductors PCF8574 and PCF857A GPIO Controllers

# SYNOPSIS

`pcf8574io* at iic? addr?`

# DESCRIPTION

The `pcf8574io` driver provides support for the PCF8574 and PCF857A GPIO controllers. These differ only in their address on the i2c bus. System properties are used to configure the pins as LED's or sensors which are then exposed via the led(4) or envsys(4) frameworks. If any pins are configured as alert sensors, then a console message will be printed if the pin status changes.

# SEE ALSO

envsys(4), iic(4), intro(4), led(4), envstat(8)

# HISTORY

The `pcf8574io` driver first appeared in NetBSD 10.0.

# AUTHORS

The `pcf8574io` driver was written by Julian Coleman <jcoleman@netbsd.org>.

February 13, 2026 | NetBSD 11.99